.twitch-streams-container {
  display: flex;
  flex-direction: row;
  width: 100%;
  height: fit-content;
  max-height: 500px;
  align-items: center;
  justify-content: space-around;
  margin-bottom: 60px;
  border-radius: 30px;
  background-color: rgb(36, 36, 36);
}

.twitch-item-container {
  margin: 1%;
  width: 18%;
  height: 220px;
  min-height: 300px;
  overflow: hidden;
  border-radius: 10px;
  background-color: rgb(42, 42, 42);
  transition: box-shadow 0.3s ease-out, scale 0.3s ease-out;
  backface-visibility: hidden;
  transform: translateZ(0);
  box-shadow: 5px 5px 5px 5px rgba(34, 34, 34, 0.738);
}

.twitch-item-container:hover {
  box-shadow: 0 0 5px 5px rgba(255, 217, 0, 0.738);
  scale: 105%;
}

.stream-thumbnail {
  background-color: black;
  width: 100%;
  max-height: 200px;
  object-fit: cover;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom: rgb(56, 56, 56) solid 3px;
}

.stream-live-sign {
  position: absolute;
  top: 10px;
  left: 10px;
  padding-top: 0px;
  font-size: 15px;
  font-weight: 600;
  justify-content: center;
  text-align: center;
  width: 20%;
  height: 20px;
  background-color: rgb(218, 33, 33);
  border-radius: 5px;
}

.stream-image-container {
  position: relative;
}

.stream-viewers-sign {
  position: absolute;
  bottom: 10px;
  left: 10px;
  font-size: 15px;
  font-weight: 400;
  padding: 5px 10px;
  background-color: rgba(0, 0, 0, 0.574);
  border-radius: 5px;
  max-width: fit-content;
}

.stream-nickname {
  padding-top: 10px;
  padding-left: 10px;
  font-size: 15px;
  font-weight: 600;
  color: rgb(215, 233, 48);
}

.title-container {
  padding-top: 10px;
  max-height: 20%;
  width: 100%;
  overflow: hidden;
}

.stream-title {
  padding: 0 10px;
  padding-top: 5px;

  word-wrap: break-word;
  font-size: 15px;
  font-weight: 700;
  color: white;
}

.empty-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border: 3px dashed rgba(22, 22, 22, 0.655);
  pointer-events: none;
}

.empty-stream-title {
  text-align: center;
  padding: 0 10%;
  color: rgba(22, 22, 22, 0.655);
  font-size: 100%;
  font-weight: 700;
  cursor: default;
  user-select: none;
}
